## ktouch 16.12.3

=== CMakeLists.txt ===
# KTouch CMakeLists.txt file
#

project(ktouch)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "16")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")


cmake_minimum_required(VERSION 2.8.12)
find_package(ECM 1.0.0 REQUIRED NO_MODULE)
find_package(KF5DocTools)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(ECMAddTests)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Qt5 5.5 REQUIRED COMPONENTS
    Gui
    Qml
    Quick
    QuickWidgets
    Script
    Sql
    Test
    Widgets
    X11Extras
    Xml
    XmlPatterns
)

find_package(KF5 REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Declarative
    DocTools
    I18n
    ItemViews
    KCMUtils
    TextWidgets
    WidgetsAddons
    WindowSystem
    XmlGui
)

# subdirectories to build
ecm_optional_add_subdirectory(data)
ecm_optional_add_subdirectory(doc)
ecm_optional_add_subdirectory(src)
# ecm_optional_add_subdirectory(sounds)
ecm_optional_add_subdirectory(images)
ecm_optional_add_subdirectory(icons)

# files to install in the ktouch project root directory
install( PROGRAMS org.kde.ktouch.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install(FILES org.kde.ktouch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ktouch (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:25:38 +0000

ktouch (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Porting packaging to KF5

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:14:19 +0000

ktouch (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:37:43 +0200

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt4-sql-sqlite,
         qtdeclarative4-kqtquickcharts-1,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Breaks: ktouch (<< 4:4.7.2)
Replaces: ktouch (<< 4:4.7.2)
Depends: ${misc:Depends}
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

%:
	dh $@ --parallel --with kf5

## ktouch 17.04.3

=== debian/changelog ===
ktouch (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:29:34 +0100

ktouch (4:16.12.3-0ubuntu2) artful; urgency=medium

  * Add qml runtime depends and remove old defunct KDE4 ones; fixes
    running on other DEs where these qml modules may not be installed
    by default. (LP: #1688233)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 May 2017 14:45:45 +0100

## ktouch 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,15 @@
 # KTouch CMakeLists.txt file
 #
-
-project(ktouch)
-
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "16")
+set (KDE_APPLICATIONS_VERSION_MAJOR "17")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
+project(ktouch VERSION ${KDE_APPLICATIONS_VERSION})
+
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 find_package(KF5DocTools)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
@@ -54,6 +53,9 @@
     XmlGui
 )
 
+# enable QML debugging for debug builds
+set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG")
+
 # subdirectories to build
 ecm_optional_add_subdirectory(data)
 ecm_optional_add_subdirectory(doc)
@@ -67,3 +69,7 @@
 install(FILES org.kde.ktouch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()

=== debian/changelog ===
ktouch (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:04 +0000

ktouch (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:00:51 +0000

ktouch (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Update install files

  [ Rik Mills ]
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:10:28 +0000

=== debian/control ===
--- 
+++ 
@@ -36,11 +36,7 @@
 
 Package: ktouch
 Architecture: any
-Depends: ktouch-data (>= ${source:Version}),
-         libqt4-sql-sqlite,
-         qtdeclarative4-kqtquickcharts-1,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ktouch-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: khelpcenter
 Description: touch typing tutor for KDE
  KTouch is an aid for learning how to type with speed and accuracy.  It
@@ -55,9 +51,17 @@
 
 Package: ktouch-data
 Architecture: all
-Breaks: ktouch (<< 4:4.7.2)
-Replaces: ktouch (<< 4:4.7.2)
-Depends: ${misc:Depends}
+Depends: qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-qtgraphicaleffects,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick2,
+         qtdeclarative4-kqtquickcharts-1,
+         ${misc:Depends}
+Breaks: ktouch (<< 4:4.7.2), ${kde-l10n:all}
+Replaces: ktouch (<< 4:4.7.2), ${kde-l10n:all}
 Description: data files for ktouch
  This package contains the architecture-independent data files for ktouch.
  .

## ktouch 18.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # KTouch CMakeLists.txt file
 #
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (KDE_APPLICATIONS_VERSION_MAJOR "18")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
+set (KDE_APPLICATIONS_VERSION_MICRO "1")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== images/CMakeLists.txt ===
set(image_files
    accuracymeter-background.png
    accuracymeter-scale.png
    accuracymeter-hand.png
    balloontip.svgz
    charactersperminutemeter-background.png
    charactersperminutemeter-scale.png
    charactersperminutemeter-hand.png
    elapsedtimemeter-background.png
    elapsedtimemeter-minute-hand.png
    elapsedtimemeter-second-hand.png
    meterbox-left.png
    meterbox-right.png
    trainingscreen-footer.png
    trainingscreen-header.png
    trainingscreen-toolbar.png
    trainingscreen-viewport.png
    trainingscreen-viewport-shadow.png
)

install(FILES ${image_files} DESTINATION ${DATA_INSTALL_DIR}/ktouch/images)

=== data/courses/CMakeLists.txt ===
set (coursefiles
    ara.xml
    bg1.xml
    bg2.xml
    br.xml
    cat.xml
    ch1.xml
    ch2.xml
    cz.xml
    de.dvorak.xml
    de.neo.xml
    de1.xml
    de2.xml
    dk1.xml
    es.dvorak.xml
    es1.xml
    es2.xml
    es3.xml
    es4.xml
    fi.xml
    fr.bepo.xml
    fr.dvarok.xml
    fr.xml
    gb.xml
    gr.xml
    ir.xml
    it.xml
    lt.std.xml
    nl1.xml
    nl2.xml
    no.xml
    pl.xml
    ru.legacy.xml
    ru1.xml
    ru2.xml
    si.xml
    sk.xml
    tr.xml
    ua.xml
    us.colemak.xml
    us.dvorak1.xml
    us.dvorak2.xml
    us.workman.xml
    us.xml
)

file(GLOB coursefiles_GLOB RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.xml)
list(SORT coursefiles_GLOB)
if(NOT "${coursefiles}" STREQUAL "${coursefiles_GLOB}")
    message(AUTHOR_WARNING "List of .xml files in data/courses differs from the list of couses")
endif()

install( FILES ${coursefiles} DESTINATION ${DATA_INSTALL_DIR}/ktouch/courses )

=== debian/changelog ===
ktouch (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Bump debhelper build-dep and compat to 11.
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * use secure copyright format uri.
  * update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Wed, 23 May 2018 01:12:26 +0200

ktouch (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Remove unused build dependencies: libkf5kio-dev, libkf5newstuff-dev, and
    libkf5texteditor-dev.
  * Explicitly add the pkg-config build dependency.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:32:11 +0100

ktouch (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:31 +0200

ktouch (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:04:45 +0000

ktouch (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:40:22 +0000

ktouch (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:24:16 +0000

ktouch (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:23:44 +0000

ktouch (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:25:10 +0000

ktouch (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:06:07 +0000

ktouch (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:50:15 +0000

ktouch (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:02:26 +0000

ktouch (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:23:23 +0000

ktouch (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 20:49:55 +0000

ktouch (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Oct 2016 11:48:31 +0000

ktouch (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:48 +0000

ktouch (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:37:27 +0000

ktouch (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:08:11 +0000

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 1.0.0~),
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5declarative-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libqt5x11extras5-dev (>= 5.5~),
               libqt5xmlpatterns5-dev (>= 5.5~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5~),
               qtdeclarative5-dev (>= 5.5~),
               qtscript5-dev (>= 5.5~),
Standards-Version: 4.1.4
Homepage: http://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Depends: qml-module-org-kde-charts,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 18.04.3

=== debian/changelog ===
ktouch (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:21:12 +0100

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Depends: qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         qtdeclarative4-kqtquickcharts-1,
         ${misc:Depends}
Breaks: ktouch (<< 4:4.7.2), ${kde-l10n:all}
Replaces: ktouch (<< 4:4.7.2), ${kde-l10n:all}
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 18.12.3

=== debian/changelog ===
ktouch (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:32:38 +0000

ktouch (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:19:43 +0000

ktouch (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:13:41 +0000

ktouch (4:18.12.0-0ubuntu1) disco; urgency=medium

  * debian/rules: export QT_SELECT=qt5
  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:51:54 +0000

ktouch (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Breaks/Replaces for moved files after merge.
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 17 Dec 2018 00:44:03 +0000

## ktouch 19.04.3

=== debian/changelog ===
ktouch (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:18:17 +0100

ktouch (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:11:49 +0100

ktouch (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:01:55 +0100

ktouch (4:19.04.0-0ubuntu2) eoan; urgency=medium

  * debian/rules: Pass DQt5QuickCompiler_FOUND=OFF to configure, so we
    do not pre-compile qml. This ensures the application will continue
    to run when used with a newer version of Qt, and not require a
    rebuild on each Qt upgrade. (LP: #1827767)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 05 May 2019 10:21:34 +0100

ktouch (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:47:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
+               libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
@@ -14,9 +15,7 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5newstuff-dev (>= 5.31.0~),
-               libkf5texteditor-dev (>= 5.31.0~),
+               libkf5textwidgets-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
@@ -29,7 +28,7 @@
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                qtscript5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
@@ -37,7 +36,8 @@
 Package: ktouch
 Architecture: any
 Depends: ktouch-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Suggests: khelpcenter
+Breaks: ktouch-data (<< 4:18.08.3~)
+Replaces: ktouch-data (<< 4:18.08.3~)
 Description: touch typing tutor for KDE
  KTouch is an aid for learning how to type with speed and accuracy.  It
  provides a sample text to type and indicates which fingers should be used for
@@ -51,17 +51,17 @@
 
 Package: ktouch-data
 Architecture: all
-Depends: qml-module-org-kde-kcoreaddons,
+Depends: qml-module-org-kde-charts,
+         qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtgraphicaleffects,
          qml-module-qtquick-controls,
          qml-module-qtquick-controls2,
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
-         qtdeclarative4-kqtquickcharts-1,
-         ${misc:Depends}
-Breaks: ktouch (<< 4:4.7.2), ${kde-l10n:all}
-Replaces: ktouch (<< 4:4.7.2), ${kde-l10n:all}
+         ${misc:Depends},
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: data files for ktouch
  This package contains the architecture-independent data files for ktouch.
  .

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DQt5QuickCompiler_FOUND=OFF

## ktouch 19.12.2

=== debian/changelog ===
ktouch (4:19.12.2-1) unstable; urgency=medium

  * Borrow minimal upstream signing key from k3b.
  * New upstream release (19.12.2).
  * Switch from dhmk to dh --with kf5.
  * Remove unused lintian override.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 06 Feb 2020 17:58:46 +0100

ktouch (4:19.12.1-1) unstable; urgency=medium

  * New upstream minor release (19.12.1).
  * Update watch file to the new release-service location.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2020 14:51:16 +0100

ktouch (4:19.12.0-2) unstable; urgency=medium

  * Source only upload so it can migrate to testing.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 15 Dec 2019 22:10:13 +0100

ktouch (4:19.12.0-1) unstable; urgency=medium

  * New upstream release (19.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Dec 2019 19:04:10 +0100

ktouch (4:19.08.3-2) unstable; urgency=medium

  * Add dependency to libqt5sql5-sqlite (LP: #1790955).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Dec 2019 17:52:41 +0100

ktouch (4:19.08.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (19.08.3) (Closes: #940920).
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump the Qt packages to 5.9
  * Remove Breaks/Replaces kde-l10n after 2 stable releases.
  * Added myself to the uploaders.
  * Refresh debian/copyright.
  * debian/control:
    - Use debhelper-compat and bump compat level to 12.
    - Add Rules-Requires-Root: no.
    - Bump Sandards-Version to 4.4.1 (no change required).
  * debian/rules: Activate build flag hardening=+all.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2019 22:02:02 +0200

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.0.0~),
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5declarative-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libqt5x11extras5-dev (>= 5.9~),
               libqt5xmlpatterns5-dev (>= 5.9~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.9~),
               qtdeclarative5-dev (>= 5.9~),
               qtquickcontrols2-5-dev (>= 5.9~),
Standards-Version: 4.4.1
Homepage: https://kde.org/applications/education/org.kde.ktouch
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Depends: libqt5sql5-sqlite,
         qml-module-org-kde-charts,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,23 @@
 # KTouch CMakeLists.txt file
 #
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "18")
-set (KDE_APPLICATIONS_VERSION_MINOR "04")
-set (KDE_APPLICATIONS_VERSION_MICRO "1")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
+if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
+   cmake_policy(VERSION 3.10)
+endif()
 project(ktouch VERSION ${KDE_APPLICATIONS_VERSION})
 
-find_package(ECM 1.0.0 REQUIRED NO_MODULE)
+set(QT_MIN_VERSION "5.11.0")
+set(KF5_MIN_VERSION "5.46.0")
+
+
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 find_package(KF5DocTools)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
@@ -23,21 +30,23 @@
 include(ECMSetupVersion)
 include(FeatureSummary)
 
-find_package(Qt5 5.5 REQUIRED COMPONENTS
+find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
+    Core
     Gui
     Qml
     Quick
     QuickWidgets
-    Script
+    QuickControls2
     Sql
-    Test
     Widgets
-    X11Extras
     Xml
     XmlPatterns
 )
 
-find_package(KF5 REQUIRED COMPONENTS
+find_package(Qt5X11Extras)
+find_package(Qt5 CONFIG QUIET OPTIONAL_COMPONENTS QuickCompiler)
+
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Completion
     Config
     ConfigWidgets
@@ -51,7 +60,14 @@
     WidgetsAddons
     WindowSystem
     XmlGui
+    IconThemes
 )
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
+endif()
+
+option(COMPILE_QML "Precompile QML code" OFF)
 
 # enable QML debugging for debug builds
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG")
@@ -61,7 +77,6 @@
 ecm_optional_add_subdirectory(doc)
 ecm_optional_add_subdirectory(src)
 # ecm_optional_add_subdirectory(sounds)
-ecm_optional_add_subdirectory(images)
 ecm_optional_add_subdirectory(icons)
 
 # files to install in the ktouch project root directory

=== src/CMakeLists.txt ===
ecm_setup_version(${KDE_APPLICATIONS_VERSION}
    VARIABLE_PREFIX KTOUCH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KTouchConfigVersion.cmake"
)

find_package(X11)
find_package(XCB OPTIONAL_COMPONENTS XCB XKB)

if (Qt5X11Extras_FOUND AND X11_FOUND AND X11_Xkbfile_FOUND AND X11_Xkb_FOUND AND XCB_FOUND AND XCB_XKB_FOUND)
    set(KTOUCH_BUILD_WITH_X11 TRUE)
endif()

add_feature_info ("Keyboard Layout Detection" KTOUCH_BUILD_WITH_X11 "needs Qt5X11Extras, libX11, libxkb, libxkbfile, libxcb, and libxcb-xkb")

ecm_optional_add_subdirectory(schemata)

# set include directories
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${ktouch_SOURCE_DIR}
)


# configure the local configuration file
configure_file(ktouch_build_config.h.in ktouch_build_config.h)


# set the source code files from which KTouch is compiled
set(ktouch_SRCS
    main.cpp
    application.cpp
    mainwindow.cpp
    bindings/utils.cpp
    bindings/stringformatter.cpp
    declarativeitems/griditem.cpp
    declarativeitems/kcolorschemeproxy.cpp
    declarativeitems/lessonpainter.cpp
    declarativeitems/lessontexthighlighteritem.cpp
    declarativeitems/preferencesproxy.cpp
    declarativeitems/scalebackgrounditem.cpp
    declarativeitems/traininglinecore.cpp
    core/resource.cpp
    core/keyboardlayoutbase.cpp
    core/keyboardlayout.cpp
    core/abstractkey.cpp
    core/key.cpp
    core/keychar.cpp
    core/specialkey.cpp
    core/coursebase.cpp
    core/course.cpp
    core/lesson.cpp
    core/trainingstats.cpp
    core/profile.cpp
    core/dataindex.cpp
    core/dataaccess.cpp
    core/dbaccess.cpp
    core/profiledataaccess.cpp
    core/resourcedataaccess.cpp
    core/userdataaccess.cpp
    undocommands/coursecommands.cpp
    undocommands/keyboardlayoutcommands.cpp
    models/resourcemodel.cpp
    models/lessonmodel.cpp
    models/charactersmodel.cpp
    models/categorizedresourcesortfilterproxymodel.cpp
    models/errorsmodel.cpp
    models/learningprogressmodel.cpp
    editor/resourceeditor.cpp
    editor/resourceeditorwidget.cpp
    editor/newresourceassistant.cpp
    editor/resourcetypeswidget.cpp
    editor/newcoursewidget.cpp
    editor/newkeyboardlayoutwidget.cpp
    editor/resourcetemplatewidget.cpp
    editor/abstracteditor.cpp
    editor/courseeditor.cpp
    editor/keyboardlayoutcombobox.cpp
    editor/lessontexteditor.cpp
    editor/lessontexthighlighter.cpp
    editor/keyboardlayouteditor.cpp
    editor/keyboardlayouteditorview.cpp
    editor/keyboardlayoutpropertieswidget.cpp
    editor/charactersviewdelegate.cpp
    trainingconfigwidget.cpp
    colorsconfigwidget.cpp
    customlessoneditordialog.cpp
    ktouchcontext.cpp
)

qt5_add_resources(ktouch_imgs_SRCS images/images.qrc)

if (Qt5QuickCompiler_FOUND AND COMPILE_QML)
    qtquick_compiler_add_resources(ktouch_qml_SRCS qml/qml.qrc)
else ()
    qt5_add_resources(ktouch_qml_SRCS qml/qml.qrc)
endif()

# compile UI files
ki18n_wrap_ui(ktouch_SRCS
    ui/colorsconfigwidget.ui
    ui/trainingconfigwidget.ui
    ui/resourceeditorwidget.ui
    ui/resourcetypeswidget.ui
    ui/newcoursewidget.ui
    ui/newkeyboardlayoutwidget.ui
    ui/resourcetemplatewidget.ui
    ui/courseeditor.ui
    ui/lessontexteditor.ui
    ui/keyboardlayouteditor.ui
    ui/keyboardlayoutpropertieswidget.ui
    ui/customlessoneditordialog.ui
)

if (KTOUCH_BUILD_WITH_X11)
    add_definitions(-DKTOUCH_BUILD_WITH_X11)
    include_directories(${X11_Xkb_INCLUDE_PATH})
    include_directories(${X11_Xkbfile_INCLUDE_PATH})
    set(ktouch_SRCS ${ktouch_SRCS} x11_helper.cpp)
    set(ktouch_X11_DEPS Qt5::X11Extras ${X11_Xkb_LIB} ${X11_LIBRARIES} XCB::XCB XCB::XKB)
endif ()

kconfig_add_kcfg_files(ktouch_SRCS preferences.kcfgc)

add_executable(ktouch ${ktouch_SRCS} ${ktouch_imgs_SRCS} ${ktouch_qml_SRCS})

#uncomment this if oxygen icons for ktouch are available
target_link_libraries(ktouch
    LINK_PUBLIC
        Qt5::Qml
        Qt5::Quick
        Qt5::QuickWidgets
        Qt5::QuickControls2
        Qt5::Sql
        Qt5::XmlPatterns
        KF5::Completion
        KF5::ConfigWidgets
        KF5::Declarative
        KF5::ItemViews
        KF5::XmlGui
        KF5::I18n
        KF5::KCMUtils
        KF5::TextWidgets
        KF5::WindowSystem
        KF5::CoreAddons
        KF5::IconThemes
        ${ktouch_X11_DEPS}
)

#kde4_add_app_icon(ktouch_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/ktouch.png")
#kde4_add_app_icon(ktouch_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-ktouch.png")

install(TARGETS ktouch ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ktouch.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== debian/changelog ===
ktouch (4:19.12.3-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Breaks/Replaces on ktouch-data to suit Kubuntu history. 

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Mar 2020 12:24:50 +0000

ktouch (4:19.12.3-1) unstable; urgency=medium

  * New upstream bugfix release (19.12.3).
  * Bump Standards-Version to 4.5.0 (no change needed).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Mar 2020 17:52:46 +0100

ktouch (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:14:30 +0000

ktouch (4:19.12.2-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Breaks/Replaces on ktouch-data to suit Kubuntu history. 

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:04:32 +0000

ktouch (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:24:05 +0000

ktouch (4:19.12.1-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Breaks/Replaces on ktouch-data to suit Kubuntu history.

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2020 21:40:40 +0000

ktouch (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:58:20 +0000

ktouch (4:19.12.0-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Breaks/Replaces on ktouch-data to suit Kubuntu history.

 -- Rik Mills <rikmills@kde.org>  Sat, 14 Dec 2019 14:46:44 +0000

ktouch (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)
  * debian/rules: Stop passing -DQt5QuickCompiler_FOUND=OFF to
    configure, as it now defaults to OFF again.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Dec 2019 10:51:33 +0000

ktouch (4:19.08.3-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Breaks/Replaces on ktouch-data to suit Kubuntu history.
    - debian/rules: Pass DQt5QuickCompiler_FOUND=OFF to configure, so we
      do not pre-compile qml. This ensures the application will continue
      to run when used with a newer version of Qt, and not require a
      rebuild on each Qt upgrade.

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Dec 2019 18:26:14 +0000

ktouch (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New build depend on qtquickcontrols2-5-dev
  * Update install files.
  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:36:40 +0000

=== debian/control ===
--- 
+++ 
@@ -30,15 +30,17 @@
                qtbase5-dev (>= 5.9~),
                qtdeclarative5-dev (>= 5.9~),
                qtquickcontrols2-5-dev (>= 5.9~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://kde.org/applications/education/org.kde.ktouch
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
 Rules-Requires-Root: no
 
 Package: ktouch
 Architecture: any
 Depends: ktouch-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Breaks: ktouch-data (<< 4:18.08.3~)
+Replaces: ktouch-data (<< 4:18.08.3~)
 Description: touch typing tutor for KDE
  KTouch is an aid for learning how to type with speed and accuracy.  It
  provides a sample text to type and indicates which fingers should be used for

## ktouch 20.08.1

=== debian/changelog ===
ktouch (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:59:02 +0100

ktouch (4:20.08.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (20.08.0).
  * Fix source URL in copyright file.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 14 Aug 2020 00:42:41 +0200

ktouch (4:20.04.0-1) unstable; urgency=medium

  * New upstream bugfix release (20.04.0).
  * Refresh copyright information.
  * Remove explicit --as-needed from linker flags, it’s now injected by
    default.
  * Bump debhelper compat level to 13.
  * Add upstream bug submit URL to upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 May 2020 11:59:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Maximiliano Curia <maxy@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.0.0~),
                libkf5completion-dev,
                libkf5config-dev,
@@ -32,15 +32,13 @@
                qtquickcontrols2-5-dev (>= 5.9~),
 Standards-Version: 4.5.0
 Homepage: https://kde.org/applications/education/org.kde.ktouch
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
 Rules-Requires-Root: no
 
 Package: ktouch
 Architecture: any
 Depends: ktouch-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: ktouch-data (<< 4:18.08.3~)
-Replaces: ktouch-data (<< 4:18.08.3~)
 Description: touch typing tutor for KDE
  KTouch is an aid for learning how to type with speed and accuracy.  It
  provides a sample text to type and indicates which fingers should be used for
